ln_hms(3)

NAME
ln_hms - Hours, minutes and seconds.

SYNOPSIS

#include <ln_types.h>

  Data Fields
unsigned short hours
unsigned short minutes
double seconds

Detailed Description

Hours, minutes and seconds. Human readable Angle in hours, minutes and seconds

Field Documentation

  unsigned short ln_hms::hours
Hours. Valid 0 - 23

Examples
transforms.c.

Referenced by ln_add_hms(), ln_add_secs_hms(), ln_deg_to_hms(), ln_hms_to_deg(), and ln_hms_to_rad().

  unsigned short ln_hms::minutes
Minutes. Valid 0 - 59

Examples
transforms.c.

Referenced by ln_add_hms(), ln_add_secs_hms(), ln_deg_to_hms(), ln_get_dec_location(), ln_hms_to_deg(), and ln_hms_to_rad().

  double ln_hms::seconds
Seconds. Valid 0 - 59.9999...

Examples
transforms.c.

Referenced by ln_add_hms(), ln_add_secs_hms(), ln_deg_to_hms(), ln_get_dec_location(), ln_hms_to_deg(), and ln_hms_to_rad().

Author

Generated automatically by Doxygen for libnova from the source code.